Loading...
Searching...
No Matches
seqan3::sam_record< field_types, field_ids > Class Template Reference
IO » SAM File

The record type of seqan3::sam_file_input. More...

`#include <seqan3/io/sam_file/record.hpp>`

Inheritance diagram for seqan3::sam_record< field_types, field_ids >:
[legend]

## Public Member Functions

SEQAN3_DEPRECATED_340 decltype(auto) | alignment () &
| [DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.
SEQAN3_DEPRECATED_340 decltype(auto) | alignment () &&
| [DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.
SEQAN3_DEPRECATED_340 decltype(auto) | alignment () const &
| [DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.
SEQAN3_DEPRECATED_340 decltype(auto) | alignment () const &&
| [DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.
decltype(auto) | base_qualities () &
| The qualities, usually in Phred score notation. (SAM Column ID: QUAL).
decltype(auto) | base_qualities () &&
| The qualities, usually in Phred score notation. (SAM Column ID: QUAL).
decltype(auto) | base_qualities () const &
| The qualities, usually in Phred score notation. (SAM Column ID: QUAL).
decltype(auto) | base_qualities () const &&
| The qualities, usually in Phred score notation. (SAM Column ID: QUAL).
decltype(auto) | cigar_sequence () &
| The cigar vector representing the alignment. (SAM Column ID: CIGAR).
decltype(auto) | cigar_sequence () &&
| The cigar vector representing the alignment. (SAM Column ID: CIGAR).
decltype(auto) | cigar_sequence () const &
| The cigar vector representing the alignment. (SAM Column ID: CIGAR).
decltype(auto) | cigar_sequence () const &&
| The cigar vector representing the alignment. (SAM Column ID: CIGAR).
decltype(auto) | flag () &
| The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).
decltype(auto) | flag () &&
| The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).
decltype(auto) | flag () const &
| The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).
decltype(auto) | flag () const &&
| The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).
decltype(auto) | header_ptr () &
| A pointer to the seqan3::sam_file_header object storing header information.
decltype(auto) | header_ptr () &&
| A pointer to the seqan3::sam_file_header object storing header information.
decltype(auto) | header_ptr () const &
| A pointer to the seqan3::sam_file_header object storing header information.
decltype(auto) | header_ptr () const &&
| A pointer to the seqan3::sam_file_header object storing header information.
decltype(auto) | id () &
| The identifier, usually a string. (SAM Column ID: QNAME).
decltype(auto) | id () &&
| The identifier, usually a string. (SAM Column ID: QNAME).
decltype(auto) | id () const &
| The identifier, usually a string. (SAM Column ID: QNAME).
decltype(auto) | id () const &&
| The identifier, usually a string. (SAM Column ID: QNAME).
decltype(auto) | mapping_quality () &
| The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).
decltype(auto) | mapping_quality () &&
| The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).
decltype(auto) | mapping_quality () const &
| The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).
decltype(auto) | mapping_quality () const &&
| The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).
decltype(auto) | mate_position () &
| (Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)
decltype(auto) | mate_position () &&
| (Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)
decltype(auto) | mate_position () const &
| (Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)
decltype(auto) | mate_position () const &&
| (Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)
decltype(auto) | mate_reference_id () &
| The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).
decltype(auto) | mate_reference_id () &&
| The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).
decltype(auto) | mate_reference_id () const &
| The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).
decltype(auto) | mate_reference_id () const &&
| The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).
decltype(auto) | reference_id () &
| The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).
decltype(auto) | reference_id () &&
| The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).
decltype(auto) | reference_id () const &
| The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).
decltype(auto) | reference_id () const &&
| The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).
decltype(auto) | reference_position () &
| (Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)
decltype(auto) | reference_position () &&
| (Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)
decltype(auto) | reference_position () const &
| (Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)
decltype(auto) | reference_position () const &&
| (Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)
decltype(auto) | reference_sequence ()=delete
| The (reference) "sequence" information, usually a range of nucleotides or amino acids. (Currently not implemented!).
decltype(auto) | sequence () &
| The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).
decltype(auto) | sequence () &&
| The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).
decltype(auto) | sequence () const &
| The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).
decltype(auto) | sequence () const &&
| The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).
SEQAN3_DEPRECATED_340 decltype(auto) | sequence_position () &
| [DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.
SEQAN3_DEPRECATED_340 decltype(auto) | sequence_position () &&
| [DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.
SEQAN3_DEPRECATED_340 decltype(auto) | sequence_position () const &
| [DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.
SEQAN3_DEPRECATED_340 decltype(auto) | sequence_position () const &&
| [DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.
decltype(auto) | tags () &
| The optional tags in the SAM format.
decltype(auto) | tags () &&
| The optional tags in the SAM format.
decltype(auto) | tags () const &
| The optional tags in the SAM format.
decltype(auto) | tags () const &&
| The optional tags in the SAM format.
decltype(auto) | template_length () &
| The observed template length. (SAM Column ID: TLEN).
decltype(auto) | template_length () &&
| The observed template length. (SAM Column ID: TLEN).
decltype(auto) | template_length () const &
| The observed template length. (SAM Column ID: TLEN).
decltype(auto) | template_length () const &&
| The observed template length. (SAM Column ID: TLEN).
Constructors, destructor and assignment
| sam_record ()=default
| Defaulted.
| sam_record (sam_record const &)=default
| Defaulted.
sam_record & | operator= (sam_record const &)=default
| Defaulted.
| sam_record (sam_record &&)=default
| Defaulted.
sam_record & | operator= (sam_record &&)=default
| Defaulted.
| ~sam_record ()=default
| Defaulted.
Public Member Functions inherited from seqan3::record< field_types, field_ids >
void | clear () noexcept(noexcept(std::apply(expander, std::declval< record & >().as_base())))
| Clears containers that provide .clear() and (re-)initialises all other elements with = {}.
| record ()=default
| Defaulted.
| record (record const &)=default
| Defaulted.
record & | operator= (record const &)=default
| Defaulted.
| record (record &&)=default
| Defaulted.
record & | operator= (record &&)=default
| Defaulted.
| ~record ()=default
| Defaulted.

## Additional Inherited Members

Public Types inherited from seqan3::record< field_types, field_ids >
using | base_type = detail::transfer_template_args_onto_t<field_types, std::tuple>
| A specialisation of std::tuple.
Related Symbols inherited from tuple_like
size_t | tuple_size_v
| A unary type trait that holds the number of elements in the tuple.
| tuple_elment_t
| A transformation trait that holds the type of elements in the tuple.
auto && | get (type &&val)
| Return the i-th element of the tuple.

## Detailed Description

template<typename field_types, typename field_ids>
class seqan3::sam_record< field_types, field_ids >

The record type of seqan3::sam_file_input.

Template Parameters

  field_types | The types of the fields in this record as a seqan3::type_list.
  field_ids | A seqan3::fields type with seqan3::field IDs corresponding to field_types.

Remarks
  For a complete overview, take a look at SAM File

## Member Function Documentation

## alignment() [1/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::alignment | ( |  | ) | &

inline

[DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.

Deprecated
  Please access cigar() and then use seqan3::alignment_from_cigar to retrieve the alignment.

## alignment() [2/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::alignment | ( |  | ) | &&

inline

[DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.

Deprecated
  Please access cigar() and then use seqan3::alignment_from_cigar to retrieve the alignment.

## alignment() [3/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::alignment | ( |  | ) | const &

inline

[DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.

Deprecated
  Please access cigar() and then use seqan3::alignment_from_cigar to retrieve the alignment.

## alignment() [4/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::alignment | ( |  | ) | const &&

inline

[DEPRECATED] The (pairwise) alignment stored in an object that models seqan3::detail::pairwise_alignment.

Deprecated
  Please access cigar() and then use seqan3::alignment_from_cigar to retrieve the alignment.

## base_qualities() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::base_qualities | ( |  | ) | &

inline

The qualities, usually in Phred score notation. (SAM Column ID: QUAL).

Returns
  seqan3::sam_file_input::quality_type per default

## base_qualities() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::base_qualities | ( |  | ) | &&

inline

The qualities, usually in Phred score notation. (SAM Column ID: QUAL).

Returns
  seqan3::sam_file_input::quality_type per default

## base_qualities() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::base_qualities | ( |  | ) | const &

inline

The qualities, usually in Phred score notation. (SAM Column ID: QUAL).

Returns
  seqan3::sam_file_input::quality_type per default

## base_qualities() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::base_qualities | ( |  | ) | const &&

inline

The qualities, usually in Phred score notation. (SAM Column ID: QUAL).

Returns
  seqan3::sam_file_input::quality_type per default

## cigar_sequence() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::cigar_sequence | ( |  | ) | &

inline

The cigar vector representing the alignment. (SAM Column ID: CIGAR).

Returns
  std::vector<seqan3::cigar> per default

## cigar_sequence() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::cigar_sequence | ( |  | ) | &&

inline

The cigar vector representing the alignment. (SAM Column ID: CIGAR).

Returns
  std::vector<seqan3::cigar> per default

## cigar_sequence() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::cigar_sequence | ( |  | ) | const &

inline

The cigar vector representing the alignment. (SAM Column ID: CIGAR).

Returns
  std::vector<seqan3::cigar> per default

## cigar_sequence() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::cigar_sequence | ( |  | ) | const &&

inline

The cigar vector representing the alignment. (SAM Column ID: CIGAR).

Returns
  std::vector<seqan3::cigar> per default

## flag() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::flag | ( |  | ) | &

inline

The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).

Returns
  seqan3::sam_file_input::flag_type per default

## flag() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::flag | ( |  | ) | &&

inline

The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).

Returns
  seqan3::sam_file_input::flag_type per default

## flag() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::flag | ( |  | ) | const &

inline

The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).

Returns
  seqan3::sam_file_input::flag_type per default

## flag() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::flag | ( |  | ) | const &&

inline

The alignment flag (bit information), uint16_t value. (SAM Column ID: FLAG).

Returns
  seqan3::sam_file_input::flag_type per default

## header_ptr() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::header_ptr | ( |  | ) | &

inline

A pointer to the seqan3::sam_file_header object storing header information.

Returns
  seqan3::sam_file_input::header_type* per default

See also
  Please see the seqan3::sam_file_output::header member function for details on how to access the seqan3::sam_file_header of the file

## header_ptr() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::header_ptr | ( |  | ) | &&

inline

A pointer to the seqan3::sam_file_header object storing header information.

Returns
  seqan3::sam_file_input::header_type* per default

See also
  Please see the seqan3::sam_file_output::header member function for details on how to access the seqan3::sam_file_header of the file

## header_ptr() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::header_ptr | ( |  | ) | const &

inline

A pointer to the seqan3::sam_file_header object storing header information.

Returns
  seqan3::sam_file_input::header_type* per default

See also
  Please see the seqan3::sam_file_output::header member function for details on how to access the seqan3::sam_file_header of the file

## header_ptr() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::header_ptr | ( |  | ) | const &&

inline

A pointer to the seqan3::sam_file_header object storing header information.

Returns
  seqan3::sam_file_input::header_type* per default

See also
  Please see the seqan3::sam_file_output::header member function for details on how to access the seqan3::sam_file_header of the file

## id() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::id | ( |  | ) | &

inline

The identifier, usually a string. (SAM Column ID: QNAME).

Returns
  seqan3::sam_file_input::id_type per default

## id() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::id | ( |  | ) | &&

inline

The identifier, usually a string. (SAM Column ID: QNAME).

Returns
  seqan3::sam_file_input::id_type per default

## id() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::id | ( |  | ) | const &

inline

The identifier, usually a string. (SAM Column ID: QNAME).

Returns
  seqan3::sam_file_input::id_type per default

## id() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::id | ( |  | ) | const &&

inline

The identifier, usually a string. (SAM Column ID: QNAME).

Returns
  seqan3::sam_file_input::id_type per default

## mapping_quality() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mapping_quality | ( |  | ) | &

inline

The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).

Returns
  seqan3::sam_file_input::mapq_type per default

## mapping_quality() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mapping_quality | ( |  | ) | &&

inline

The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).

Returns
  seqan3::sam_file_input::mapq_type per default

## mapping_quality() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mapping_quality | ( |  | ) | const &

inline

The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).

Returns
  seqan3::sam_file_input::mapq_type per default

## mapping_quality() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mapping_quality | ( |  | ) | const &&

inline

The mapping quality of the alignment, usually a Phred-scaled score. (SAM Column ID: MAPQ).

Returns
  seqan3::sam_file_input::mapq_type per default

## mate_position() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_position | ( |  | ) | &

inline

(Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## mate_position() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_position | ( |  | ) | &&

inline

(Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## mate_position() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_position | ( |  | ) | const &

inline

(Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## mate_position() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_position | ( |  | ) | const &&

inline

(Reference) Sequence relative start position (0-based) of the mate. (SAM Column ID: PNEXT)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## mate_reference_id() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_reference_id | ( |  | ) | &

inline

The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).

Returns
  seqan3::sam_file_input::ref_id_type per default

If RNEXT is =, it returns the same as seqan3::sam_record::reference_id.

## mate_reference_id() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_reference_id | ( |  | ) | &&

inline

The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).

Returns
  seqan3::sam_file_input::ref_id_type per default

If RNEXT is =, it returns the same as seqan3::sam_record::reference_id.

## mate_reference_id() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_reference_id | ( |  | ) | const &

inline

The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).

Returns
  seqan3::sam_file_input::ref_id_type per default

If RNEXT is =, it returns the same as seqan3::sam_record::reference_id.

## mate_reference_id() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::mate_reference_id | ( |  | ) | const &&

inline

The identifier of the (reference) sequence of the mate. (SAM Column ID: RNEXT).

Returns
  seqan3::sam_file_input::ref_id_type per default

If RNEXT is =, it returns the same as seqan3::sam_record::reference_id.

## reference_id() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_id | ( |  | ) | &

inline

The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).

Returns
  seqan3::sam_file_input::ref_id_type per default

## reference_id() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_id | ( |  | ) | &&

inline

The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).

Returns
  seqan3::sam_file_input::ref_id_type per default

## reference_id() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_id | ( |  | ) | const &

inline

The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).

Returns
  seqan3::sam_file_input::ref_id_type per default

## reference_id() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_id | ( |  | ) | const &&

inline

The identifier of the (reference) sequence that seqan3::sam_record::sequence was aligned to. (SAM Column ID: RNAME).

Returns
  seqan3::sam_file_input::ref_id_type per default

## reference_position() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_position | ( |  | ) | &

inline

(Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## reference_position() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_position | ( |  | ) | &&

inline

(Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## reference_position() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_position | ( |  | ) | const &

inline

(Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## reference_position() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::reference_position | ( |  | ) | const &&

inline

(Reference) Sequence (seqan3::sam_record::reference_sequence) relative start position (0-based), unsigned value. (SAM Column ID: POS)

Returns
  seqan3::sam_file_input::ref_offset_type per default

## sequence() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence | ( |  | ) | &

inline

The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).

Returns
  seqan3::sam_file_input::sequence_type per default

## sequence() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence | ( |  | ) | &&

inline

The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).

Returns
  seqan3::sam_file_input::sequence_type per default

## sequence() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence | ( |  | ) | const &

inline

The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).

Returns
  seqan3::sam_file_input::sequence_type per default

## sequence() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence | ( |  | ) | const &&

inline

The "sequence", usually a range of nucleotides or amino acids. (SAM Column ID: SEQ).

Returns
  seqan3::sam_file_input::sequence_type per default

## sequence_position() [1/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence_position | ( |  | ) | &

inline

[DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.

Returns
  0

Deprecated
  This member is deprecated please access the seqan3::sam_record::cigar() information directly and check the value for soft clipping (S) at the front of the CIGAR string. It is synonym to the offset. If not soft clipping is present at the front, the offset is zero.

The position is the length of the soft-clipping at the start of the seqan3::sam_record::cigar_sequence if a soft-clipping is present and 0 otherwise.

## sequence_position() [2/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence_position | ( |  | ) | &&

inline

[DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.

Returns
  0

Deprecated
  This member is deprecated please access the seqan3::sam_record::cigar() information directly and check the value for soft clipping (S) at the front of the CIGAR string. It is synonym to the offset. If not soft clipping is present at the front, the offset is zero.

The position is the length of the soft-clipping at the start of the seqan3::sam_record::cigar_sequence if a soft-clipping is present and 0 otherwise.

## sequence_position() [3/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence_position | ( |  | ) | const &

inline

[DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.

Returns
  0

Deprecated
  This member is deprecated please access the seqan3::sam_record::cigar() information directly and check the value for soft clipping (S) at the front of the CIGAR string. It is synonym to the offset. If not soft clipping is present at the front, the offset is zero.

The position is the length of the soft-clipping at the start of the seqan3::sam_record::cigar_sequence if a soft-clipping is present and 0 otherwise.

## sequence_position() [4/4]

template<typename field_types, typename field_ids>

SEQAN3_DEPRECATED_340 decltype(auto) seqan3::sam_record< field_types, field_ids >::sequence_position | ( |  | ) | const &&

inline

[DEPRECATED] Sequence (seqan3::sam_record::sequence) relative start position (0-based), unsigned value.

Returns
  0

Deprecated
  This member is deprecated please access the seqan3::sam_record::cigar() information directly and check the value for soft clipping (S) at the front of the CIGAR string. It is synonym to the offset. If not soft clipping is present at the front, the offset is zero.

The position is the length of the soft-clipping at the start of the seqan3::sam_record::cigar_sequence if a soft-clipping is present and 0 otherwise.

## tags() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::tags | ( |  | ) | &

inline

The optional tags in the SAM format.

Returns
  seqan3::sam_tag_dictionary per default

## tags() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::tags | ( |  | ) | &&

inline

The optional tags in the SAM format.

Returns
  seqan3::sam_tag_dictionary per default

## tags() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::tags | ( |  | ) | const &

inline

The optional tags in the SAM format.

Returns
  seqan3::sam_tag_dictionary per default

## tags() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::tags | ( |  | ) | const &&

inline

The optional tags in the SAM format.

Returns
  seqan3::sam_tag_dictionary per default

## template_length() [1/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::template_length | ( |  | ) | &

inline

The observed template length. (SAM Column ID: TLEN).

Returns
  int32_t per default

## template_length() [2/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::template_length | ( |  | ) | &&

inline

The observed template length. (SAM Column ID: TLEN).

Returns
  int32_t per default

## template_length() [3/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::template_length | ( |  | ) | const &

inline

The observed template length. (SAM Column ID: TLEN).

Returns
  int32_t per default

## template_length() [4/4]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::sam_record< field_types, field_ids >::template_length | ( |  | ) | const &&

inline

The observed template length. (SAM Column ID: TLEN).

Returns
  int32_t per default

The documentation for this class was generated from the following file:

- sam_file/record.hpp

Hide me